[Python-Dev] Pronouncement on PEP 389: argparse?

Anand Balachandran Pillai abpillai at gmail.com
Mon Jan 4 10:08:05 CET 2010

On Sun, Dec 27, 2009 at 11:21 PM, anatoly techtonik <techtonik at gmail.com>wrote:

> On Tue, Dec 15, 2009 at 12:37 AM, Steven Bethard
> <steven.bethard at gmail.com> wrote:
> >
> > If you're only concerned about 2.X, then yes, optparse will *never* be
> > removed from 2.X. There will be a deprecation note in the 2.X
> > documentation but deprecation warnings will only be issued when the -3
> > flag is specified. Please see the "Deprecation of optparse" section of
> > the PEP:
> >
> > http://www.python.org/dev/peps/pep-0389/#deprecation-of-optparse
> I do not think that optparse should be deprecated at. It is good at
> what it does and its limitations make its starting point less
> confusing for people with different backgrounds that Python.
 Ref http://www.python.org/dev/peps/pep-0389/#deprecation-of-optparse .

 Considering that optparse will be deprecated like 5 years from now.
 I think this point is moot. The deprecation strategy IMHO is
 perhaps way too conservative. Maybe it should be deprecated
 faster ;)

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/python-dev/attachments/20100104/e0cabd8c/attachment-0005.html>

More information about the Python-Dev mailing list